# Created by pyp2rpm-3.3.2
%global pypi_name editdistance

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 1
Summary:        Fast implementation of the edit distance (Levenshtein distance)
Group:          Development/Python
License:        None
URL:            https://www.github.com/aflc/editdistance
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(pytest)

%description
Fast implementation of the edit distance (Levenshtein distance).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Fast implementation of the edit distance (Levenshtein distance).

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editdistance

# 0.8.1: pep517 based build packages some files which should not be packaged
# and compile time warnings
# https://github.com/roy-ht/editdistance/issues/112
# “I couldn’t find any documentation on how to control this with the PDM build
# backend, so I worked around it downstream rather than offering a PR to fix it
# properly.”
find %{buildroot}%{python3_sitearch} -type f \( \
    -name '.git*' -o -name '*.cpp' -o -name '*.h' \
    \) -print -delete
sed -r -i '/\.(cpp|h)/d' %{pyproject_files}

%check
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Fri Feb 23 2024 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2043457
- new version: 0.8.1
- rebuild for py3.12

* Wed Oct 18 2023 papoteur <papoteur> 0.6.2-1.mga10
+ Revision: 1998903
- new 0.6.2

* Fri Mar 18 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1799016
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 neoclust <neoclust> 0.6.0-2.mga9
+ Revision: 1773877
- rebuild for python 3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 0.6.0-1.mga9
+ Revision: 1771143
- version 0.6.0

* Mon Mar 15 2021 wally <wally> 0.5.3-4.mga9
+ Revision: 1703340
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.3-3.mga8
+ Revision: 1531401
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 0.5.3-2.mga8
+ Revision: 1439802
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 0.5.3-1.mga8
+ Revision: 1429838
- imported package python-editdistance

